Os três esquemas
Cada esquema é um pequeno trecho de texto que o celular sabe encaminhar ao app certo. O mailto: abre o app de e-mail, o tel: abre o discador e o sms: abre o app de mensagens, com o destinatário e, às vezes, a mensagem já preenchidos.
Os números de telefone funcionam melhor em formato internacional, com sinal de mais e código do país, como +15035550123, para que o código funcione para visitantes de outros países.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (convenção mais antiga, ainda muito lida)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (convenção mais antiga de e-mail)
Codificando o texto da mensagem
Assuntos e corpos de mensagem em links mailto e sms precisam ser codificados em porcentagem: um espaço vira %20 e um e comercial dentro do texto vira %26. Caracteres não codificados podem cortar a mensagem ou quebrar o link.
As plataformas nem sempre interpretaram o parâmetro body do sms do mesmo jeito, e esse é um dos motivos pelos quais a forma mais antiga SMSTO: ainda é comum nos geradores de QR Code. Testar no iPhone e no Android antes de imprimir é a verificação confiável.
O que esses códigos não conseguem fazer
Um QR Code não consegue enviar um e-mail, um texto nem fazer uma ligação sozinho. Ele apenas abre o app com os campos preenchidos, e quem escaneou decide se aperta enviar ou ligar.
Como o destinatário fica visível antes do envio, as pessoas devem conferir se corresponde ao que esperam. Um código que preenche uma mensagem para um número de tarifa especial ou para um endereço desconhecido é um sinal de alerta.